Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire
Class XFireRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.xfire.XFireRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AnnotationException

    public class XFireRuntimeException

extends java.lang.RuntimeException

Used for internal XFire exceptions when a fault shouldn't be returned to the service invoker.

Since:
  Feb 14, 2004
Author:
  Dan Diephouse
See Also:
  Serialized Form

Constructor Summary
`XFireRuntimeException(java.lang.String message)` Constructs a new xfire runtime exception with the specified detail message.
`XFireRuntimeException(java.lang.String message, java.lang.Throwable cause)` Constructs a new xfire runtime exception with the specified detail message and cause.

Method Summary
`java.lang.String` | `getActualMessage()`
`java.lang.Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
`java.lang.String` | `getMessage()` Return the detail message, including the message from the `nested exception` if there is one.
`void` | `prepend(java.lang.String message)`
`void` | `printStackTrace(java.io.PrintStream s)` Prints this throwable and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter w)` Prints this throwable and its backtrace to the specified print writer.
`void` | `setMessage(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XFireRuntimeException

    public XFireRuntimeException(java.lang.String message)

  Constructs a new xfire runtime exception with the specified detail message.

  Parameters:
    `message` - the detail message.

### XFireRuntimeException

    public XFireRuntimeException(java.lang.String message,
                                 java.lang.Throwable cause)

  Constructs a new xfire runtime exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - the cause.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the nested cause.

### getMessage

    public java.lang.String getMessage()

  Return the detail message, including the message from the `nested exception` if there is one.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the detail message.

### getActualMessage

    public java.lang.String getActualMessage()

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this throwable and its backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Prints this throwable and its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `w` - `PrintWriter` to use for output

### prepend

    public void prepend(java.lang.String message)

### setMessage

    public void setMessage(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.